﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinTabs;

namespace WindowsFormsApplication269
{
    class CF : IUIElementCreationFilter
    {
        public void AfterCreateChildElements(UIElement parent)
        {
            if (parent is TabItemUIElement)
            {
                parent.ChildElements[0].Rect = new System.Drawing.Rectangle(parent.ChildElements[0].Rect.X, parent.ChildElements[0].Rect.Y, 50, parent.ChildElements[0].Rect.Height);
                ButtonUIElement btnCustom = (ButtonUIElement)parent.ChildElements[1].GetDescendant(typeof(ButtonUIElement));

                if (btnCustom == null)
                {
                    btnCustom = new ButtonUIElement(parent);
                    btnCustom.Text = "Close";
                    btnCustom.Rect = new System.Drawing.Rectangle(51, parent.ChildElements[0].Rect.Y, 30, 15);
                    parent.ChildElements.Add(btnCustom);
                }
            }
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }
    }
}
